Subject: bug#44088: 26.3; doc of `define-obsolete-variable-alias

From: Drew Adams <[email-masked]>
Date: Mon, 19 Oct 2020 17:08:11 -0700 (PDT)

The doc (doc string and Elisp manual, node `Variable Aliases') does not
say that, even though this is a macro, the two "name" arguments are
evaluated.  So typically you'll need to pass quoted symbols, not just
the symbols.  

The doc should make this clear.

The doc should also say that these args are expected, when evaluated, to
be symbols, not strings.  Calling these args "*-NAME" isn't very
helpful, but it will be OK if you state that the values are expected to
be symbols.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.18362
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''